Announcement

Collapse
No announcement yet.

Style Manager issue

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Style Manager issue

    I am unable to use the Style Manager to edit the main style. I have just done a default install, twice, just to be sure.

    I've tested both in IE and Firefox.

    IE shows an error in bottom left corner:

    Line 89
    Char 1
    Error: Object expected
    Code: 0
    URL: http://www.mydomain.com/admincp/template.php?do=modify

    The Firefox Javascript console shows:

    Error: missing } after function body
    Source File: http://www.mydomain.com/clientscript...templatemgr.js
    Line: 88, Column: 1
    Source Code:
    v


    I downloaded the vbulletin source and uploaded all the files and just this single file multiple times.

    I also ftp'd the unix tar file to my server, untarred it, and then copied the files into the appropriate structure in an attempt to avoid any ftp ascii/binary issues.

    I also ran the Suspect File Version diagnostic and that showed no errors or issues.


    Thanks for any help that you can give.

    -Joe
    Last edited by DisneyJoe; Thu 6 Jul '06, 7:54am.

  • #2
    I also get

    Error: Sdo is not defined
    Source File: http://www.mydomain.com/admincp/template.php?do=modify
    Line: 1


    in the firefox Javascript console, but I assume thats because the js file is not loading properly.

    Comment


    • #3
      To troubleshoot this, remove any hacks and disable your plugins, then see if you still have this problem.

      Note: To temporarily disable the plugin system, edit config.php and add this line right under <?php

      define('DISABLE_HOOKS', true);

      If so, reupload all the original vB non-image files (except install.php). Make sure you upload these in ASCII format and overwrite the ones on the server.

      Next, create a new style and choose no parent style. This will force it to use the default templates. Finally empty your browser cache, close all browser windows then try again. Make sure you change to the new style and view your forums with it. Do you have the same problem?
      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
      Change CKEditor Colors to Match Style (for 4.1.4 and above)

      Steve Machol Photography


      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


      Comment


      • #4
        Originally posted by Steve Machol View Post
        To troubleshoot this, remove any hacks and disable your plugins, then see if you still have this problem.

        Note: To temporarily disable the plugin system, edit config.php and add this line right under <?php

        define('DISABLE_HOOKS', true);


        No plugins were installed, install was virgin install, direct from download from your site. All web directories and folders were removed, then software installed. I tried this a few times, deleting all files, or overwriting, I also tried emptying the database.

        If so, reupload all the original vB non-image files (except install.php). Make sure you upload these in ASCII format and overwrite the ones on the server.
        I have done this multiple times, both doing an overwrite of all files or just the individual files, I've also ftp'd the tar.gz file and used that.

        Next, create a new style and choose no parent style. This will force it to use the default templates. Finally empty your browser cache, close all browser windows then try again. Make sure you change to the new style and view your forums with it. Do you have the same problem?
        I followed all of those steps, emptying cache, deleting cookies, closing all browsers, change to new style, etc. Still doesn't work.

        I can view my forums fine, they work with no problems. Its in the admincp that there is an issue, when I go into the Style Manager and attempt to edit a style/template - THIS is where I get the javascript errors.

        -Joe

        PS. I am accessing from a location that has an esafe gateway that may be blocking certain JS items. I'll check again from another location tonight.

        Comment


        • #5
          Honestly I don't see how you can get that error with the original vB code. Which version of vB are you running and which browser are you using?
          Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
          Change CKEditor Colors to Match Style (for 4.1.4 and above)

          Steve Machol Photography


          Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


          Comment


          • #6
            VB 3.5.4

            IE 6.0

            Firefox 1.5.0.4

            PHP 4.3.10
            mysql 3.23.58
            Apache/1.3.27 (Unix) (Red-Hat/Linux)



            I'll retry the entire install process again tonight.

            -Joe

            Comment


            • #7
              Ok, it must be an issue with the esafe gateway at my daytime location - it works perfectly at home, no issues at all.

              Thanks.

              -Joe

              Comment

              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
              Working...
              X